Bug 19244 - [OGLC]oglconform case/pntparam.c failed
Summary: [OGLC]oglconform case/pntparam.c failed
Status: VERIFIED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i915 (show other bugs)
Version: unspecified
Hardware: Other Linux (All)
: medium normal
Assignee: Ian Romanick
QA Contact: fangxun
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: intel-3d-release
  Show dependency treegraph
 
Reported: 2008-12-22 18:34 UTC by liuhaien
Modified: 2012-06-11 23:35 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
xorg conf file (3.76 KB, text/plain)
2008-12-22 18:34 UTC, liuhaien
Details
xorg.0.log (41.98 KB, text/plain)
2008-12-22 18:34 UTC, liuhaien
Details

Note You need to log in before you can comment on or make changes to this bug.
Description liuhaien 2008-12-22 18:34:27 UTC
Created attachment 21421 [details]
xorg conf file

System Environment:
--------------------------
Host:		g45
Arch:		i386
OSD:		Fedora release 9 (Sulphur)
Kernel:		2.6.28-rc8
Libdrm:		(master)0243c9f801a35de3465a0321c02f18a4d07ce5b8
Mesa:		(intel-2008-q4)f96baeaac3ef41260ac3975750627ece073fdce0
Xorg:		7.2
Xserver:  (server-1.6-branch)32e81074b967716865aef08b66ec29caf0fec2c5
Xf86_video_intel: (xf86-video-intel-2.6-branch)
                  83f3c376b5942e134047a220e6e5f2432ffc492c
GEM_kernel:       (for-airlied)0fbdb7c9455a05eb89f358f0eb66fb8ab094a0c5

Bug detailed description:
-------------------------
start X,we will get failure when run oglconform case pntparam.c on all platforms

Reproduce steps:
----------------
1.xinit&
2. run oglconform/pntparam.c
Comment 1 liuhaien 2008-12-22 18:34:50 UTC
Created attachment 21422 [details]
xorg.0.log
Comment 2 liuhaien 2009-03-22 19:25:48 UTC
still fails against:
Libdrm:         (master)00d8e960ca665b7f0528438331f4d0ae77fbb4cc
Mesa:(mesa_7_4_branch)b009a32bf428192fef2dc4787d25f022a472854f          
Xserver:        (server-1.6-branch)60c161545af80eb78eb790a05bde79409dfdf16e
Xf86_video_intel:       (2.7)e2465249a90b9aefe6d7a96eb56a51fde54698a0
Kernel:       (for-airlied)a2e785c32b886dd7f0289d1cf15fc14e9c81bc01
Comment 3 Gordon Jin 2010-08-22 17:51:30 UTC
with the recent mesa master (c54dea66fd86f6000e334c703ea4890179c39c81), it passes on Piketon, but still fails on Pineview.
Comment 4 Ouping Zhang 2011-04-28 01:52:12 UTC
System Environment:
--------------------------
Libdrm:   (master)2.4.25
Mesa:     (7.10)73f4273b8647abe0020ad3c2d593e009092d2be5
Xserver:  (server-1.10-branch)xorg-server-1.10.1
Xf86_video_intel:  (master)2.15.0-6-g67e5a74e997f199327f9115c7ba867df3c49da8d

case pntparam fails on Pineview, Huron River and Sugar Bay, but pass on Piketon and G45.
Comment 5 Kenneth Graunke 2012-06-08 18:19:53 UTC
With Mesa master,

./bin/oglconform -v 4 -minFmt -test pntparam

works on Sandybridge.
Comment 6 Gordon Jin 2012-06-11 01:30:23 UTC
Xun, can you update the latest test result?
Comment 7 fangxun 2012-06-11 23:34:13 UTC
The latest test result is pass on i915 and i965 platform.
Comment 8 fangxun 2012-06-11 23:35:15 UTC
Verified with Mesa 8.0 branch cb70af5c9404138d292d8490e35f61504358de40.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.